:root {
    --verse-color: 0, 0, 255;
    --refrain-color: 255, 0, 0;
    --bridge-color: 0, 172, 0;
    --prechorus-color: 255, 196, 0;
    --chorus-color: 255, 144, 0;
    --coda-color: 128, 0, 128;
    --other-color: 0, 0, 0;
    --instrumental-color: 128, 128, 128;
    --transition-speed: 1000ms;
    --roadmap-border: 2px solid;
    --song-line-border: 2px solid;
}


@media print{
    .song-title{
        margin-top: 0 !important;
    }
    .song-author-and-originaltitle,
    .song-translator,
    .song-dicssuli,
    .song-tempo,
    .song-lines {
        margin-left: 0 !important;
        margin-right: 0 !important;
    }
    .song-lines .blue-song-section,
    .song-lines .purple-song-section,
    .song-lines .yellow-song-section,
    .song-lines .orange-song-section,
    .song-lines .red-song-section,
    .song-lines .green-song-section,
    .song-lines .black-song-section {
        background-color: transparent !important;
    }
}


/*title and tone*/
.song-title{
    font-size: 18px;
    line-height: normal;
    margin: 1rem 0 0 0;
    text-align: center;
}

/*roadmap*/
.song-roadmap {
    box-sizing: border-box;
    font-size: 16px;
    line-height: 35px;
    margin: 0;
    opacity: 1;
    text-align: center;
    transition: var(--transition-speed);
}
.song-roadmap span {
    border-radius: 5px;
    font-weight: bold;
    margin: 0px 0rem;
    padding: 0px 0.2rem;
}
h2.song-roadmap .containx {
    margin: 0 0 0 0.2rem;
}
.song-roadmap .roadmap-verse {
    border: var(--roadmap-border) rgb(var(--verse-color));
    color: rgb(var(--verse-color));
}
.song-roadmap .roadmap-refrain {
    border: var(--roadmap-border) rgb(var(--refrain-color));
    color: rgb(var(--refrain-color));
}
.song-roadmap .roadmap-prechorus, .song-roadmap .roadmap-postchorus {
    border: var(--roadmap-border) rgb(var(--prechorus-color));
    color: rgb(var(--prechorus-color));
}
.song-roadmap .roadmap-chorus {
    border: var(--roadmap-border) rgb(var(--chorus-color));
    color: rgb(var(--chorus-color));
}
.song-roadmap .roadmap-bridge {
    border: var(--roadmap-border) rgb(var(--bridge-color));
    color: rgb(var(--bridge-color));
}
.song-roadmap .roadmap-coda {
    border: var(--roadmap-border) rgb(var(--coda-color));
    color: rgb(var(--coda-color));
}
.song-roadmap .roadmap-instrumental, .song-roadmap .roadmap-interlude {
    border: var(--roadmap-border) rgb(var(--instrumental-color));
    color: rgb(var(--instrumental-color));
}
.song-roadmap .roadmap-intro, .song-roadmap .roadmap-outro , .song-roadmap .roadmap-vamp {
    border: var(--roadmap-border) rgb(var(--other-color));
    color: rgb(var(--other-color));
}
.song-roadmap.invisible {
    line-height: 0rem;
    opacity: 0;
    user-select: none;
    -webkit-user-select: none; /* Safari, iOS */
    -ms-user-select: none;     /* régi Edge / IE */
}



/*original title and author*/
.song-author-and-originaltitle {
    align-items: center;
    display: block;
    margin: 0 2rem;
    max-height: 3rem;
    opacity: 1;
    overflow: hidden;
    text-align: right;
    transition: var(--transition-speed);
}
#song-author, #song-original-title {
    font-weight: normal;
    font-size: 16px;
    line-height: 1.2rem;
    transition: var(--transition-speed);
}
#song-author.invisible, #song-original-title.invisible {
    font-size: 0px;
    line-height: 0px;
    opacity: 0;
    user-select: none;
    -webkit-user-select: none; /* Safari, iOS */
    -ms-user-select: none;     /* régi Edge / IE */
}
.song-author-and-originaltitle.invisible {
    max-height: 0;
    opacity: 0;
    user-select: none;
    -webkit-user-select: none; /* Safari, iOS */
    -ms-user-select: none;     /* régi Edge / IE */
}



/*translator and dicssuli year*/
.song-translator, .song-dicssuli {
    font-size: 16px;
    font-weight: normal;
    display: block;
    line-height: 20px;
    margin: 0 2rem;
    text-align: left;
    transition: var(--transition-speed);
}
.song-translator.invisible, .song-dicssuli.invisible, .song-tempo.invisible {
    line-height: 0rem;
    font-size: 0rem;
    opacity: 0;
    user-select: none;
    -webkit-user-select: none; /* Safari, iOS */
    -ms-user-select: none;     /* régi Edge / IE */
}

/*time signature and tempo*/
.song-tempo {
    font-size: 16px;
    font-weight: bold;
    display: block;
    line-height: 20px;
    margin: 0 2rem;
    text-align: left;
    transition: var(--transition-speed);
}

.song-lines {
    font-size: 1rem;
    line-height: normal;
    margin: 2rem 2rem;
    text-align: left;
    white-space: nowrap;
}



.song-line-with-chord {
    border-left: var(--song-line-border);
    border-color: attr(data-border-color);
    display: inline-block;
    font-size: 16px;
    /*line-height: 40px;*/
    margin: 0;
    padding: 0 0 0 1rem;
    transition: font-size 100ms;
    white-space: nowrap;
}
.song-line-without-chord {
    border-left: var(--song-line-border);
    border-color: attr(data-border-color);
    display: inline-block;
    font-size: 16px;
    margin: 0;
    padding: 0 0 0 1rem;
    transition: font-size 100ms;
    white-space: nowrap;
}
.song-line-with-chord.denied-chords {
    line-height: 21px;
    white-space: nowrap;
}



.chord-marker {
    display: inline;
    position: relative;
    width: 0; /* fontos, hogy ne tolja el a szöveget */
}
.chord-marker::before {
    content: attr(data-chord);
    font-weight: bold;
    left: 50%;
    opacity: 1;
    overflow: hidden;
    pointer-events: none;
    position: absolute;
    top: -18px;                     /* akkord magassága */
    transform: translateX(-50%);
    transition: var(--transition-speed);
    white-space: nowrap;
}
.chord-marker.invisible::before {
    font-size: 0;
    top: 0;
    opacity: 0;
}


.just-chords {
    display: block;
    font-size: 16px;
    margin-bottom: 30px;
    transition: var(--transition-speed);
    user-select: none;
    -webkit-user-select: none; /* Safari, iOS */
    -ms-user-select: none;
}
.chord-marker-inline {
    display: inline;
    position: relative;
    width: 0; /* fontos, hogy ne tolja el a szöveget */
}
.chord-marker-inline::before {
    content: attr(data-chord);
    font-weight: bold;
    left: 50%;
    opacity: 1;
    overflow: hidden;
    pointer-events: none;
    position: absolute;
    transform: translateX(-50%);
    transition: var(--transition-speed);
    white-space: nowrap;
}
.chord-marker-inline.invisible::before {
    font-size: 0;
    top: 0;
    opacity: 0;
}
.just-chords.invisible {
    font-size: 0;
    margin: 0;
}



/*.song-line-space {
    display: inline-block;
    opacity: 1;
    overflow: hidden;
    transition: var(--transition-speed);
    text-align: center;
    vertical-align: text-bottom;
    width: var(--w);
}
.song-line-space.invisible {
    opacity: 0;
    width: 0;
}*/



.song-line-space {
    display: inline-flex;
    align-items: baseline;
    justify-content: center;
    opacity: 1;
    transition: var(--transition-speed);
    width: var(--w);
    white-space: nowrap;
}
.song-line-space.invisible {
    width: 0;
    opacity: 0;
}
.song-line-space.hyphen::before {
    content: "-";
    user-select: none;
    pointer-events: none;
    opacity: 1;
    transition: var(--transition-speed);
}
.song-line-space.hyphen.invisible::before {
    opacity: 0;
}




.empty-line-for-chords {
    color: red;
    display: block;
    transition: var(--transition-speed);
    user-select: none;
    -webkit-user-select: none; /* Safari, iOS */
    -ms-user-select: none;     /* régi Edge / IE */
}
.empty-line-for-chords.invisible {
    display: none;
    height: 0;
    margin: 0;
    padding: 0;
    opacity: 0;
}




.song-line-break {
    display: inline-block;
    opacity: 1;
    overflow: hidden;
    transition: var(--transition-speed);
    text-align: center;
    vertical-align: text-bottom;
    width: var(--w);
}
.song-line-break.invisible {
    display: block;
    opacity: 1;
    width: 0;
}




.empty-line {
    line-height: 2rem;
}
.blue-song-section {
    background-color: rgba(var(--verse-color), 0.05);
    border-color: rgb(var(--verse-color));
    width: 100%;}
.purple-song-section {
    background-color: rgba(var(--coda-color), 0.05);
    border-color: rgb(var(--coda-color));
    width: 100%;}
.yellow-song-section {
    background-color: rgba(var(--prechorus-color), 0.05);
    border-color: rgb(var(--prechorus-color));
    width: 100%;}
.orange-song-section {
    background-color: rgba(var(--chorus-color), 0.05);
    border-color: rgb(var(--chorus-color));
    width: 100%;}
.red-song-section {
    background-color: rgba(var(--refrain-color), 0.05);
    border-color: rgb(var(--refrain-color));
    width: 100%;}
.green-song-section {
    background-color: rgba(var(--bridge-color), 0.05);
    border-color: rgb(var(--bridge-color));
    width: 100%;}
.black-song-section {
    background-color: rgba(var(--other-color), 0.05);
    border-color: rgb(var(--other-color));
    width: 100%;}